/*******************************************************************************
 * Copyright 2018 Frank Mnster
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
//
// Copyright 2016 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//
package de.frankmuenster.jameica.qrscanner;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.qrscanner.utils.Utils;
import de.willuhn.jameica.hbci.rmi.AuslandsUeberweisung;
import de.willuhn.jameica.hbci.rmi.Konto;

/**
 * Liefert eine Auslandsberweisung mit den default Werten. Noch als Utility-KLasse implementiert. Ziel ist es, die
 * {@link AuslandsUeberweisung} zu erweitern.
 *
 * @author Frank Mnster
 */
public final class DefaultSepaTransaction {

    /**
     * Standardkonstruktor
     */
    private DefaultSepaTransaction() {
        // Absichtlich leer
    }

    /**
     * Liefert eine {@link AuslandsUeberweisung} mit den Standardwerten.
     *
     * @return eine AuslandsUeberweisung mit den Standardwerten.
     * @throws RemoteException
     */
    public static AuslandsUeberweisung getDefaultSepaTransaction() throws RemoteException {
        AuslandsUeberweisung sepaUeberweisung = null;
        sepaUeberweisung = (AuslandsUeberweisung) de.willuhn.jameica.hbci.Settings.getDBService()
                .createObject(AuslandsUeberweisung.class, null);
        final Konto account = Utils.getKonto(Settings.getDefaultAccountId());
        sepaUeberweisung.setKonto(account);
        sepaUeberweisung.setPurposeCode(Settings.getPursposeCode());
        return sepaUeberweisung;
    }
}
