/*******************************************************************************
 * Copyright 2018 Frank Mnster
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.qrscanner.gui.navigation;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.qrscanner.gui.action.QrScannerAction;
import de.frankmuenster.jameica.qrscanner.utils.I18N;
import de.willuhn.jameica.gui.NavigationItem;
import de.willuhn.jameica.gui.extension.Extendable;
import de.willuhn.jameica.gui.extension.Extension;
import de.willuhn.logging.Logger;

/**
 * Extension Klasse des QR-Code Scanner Plugins fr den Eintrag im Navigationsmen
 *
 * @author Frank Mnster
 */
public class QrCodeScannerExtension implements Extension {

    /**
     * Standardkonstruktor
     */
    public QrCodeScannerExtension() {
        // Absichtlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.extension.Extension#extend(de.willuhn.jameica. gui.extension.Extendable)
     */
    @Override
    public void extend(final Extendable extendable) {
        try {
            final NavigationItem qrScanner = (NavigationItem) extendable;
            qrScanner.addChild(new QrCodeScannerItem(qrScanner, I18N.tr("QrCodeScannerExtension.startQrCodeScanner"),  //$NON-NLS-1$
                    new QrScannerAction(), "webcam_add.png")); //$NON-NLS-1$
        } catch (final RemoteException e) {
            Logger.error(I18N.tr("QrCodeScannerExtension.errorExtenedNavigationMenu"));  //$NON-NLS-1$
        }
    }
}
